## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname elasticsearch
%global _desc %{expand: \
Low level client for Elasticsearch. It's goal is to provide common ground\
for all Elasticsearch-related code in Python. The client's features include:\
\
- Translating basic Python data types to and from json\
- Configurable automatic discovery of cluster nodes\
- Persistent connections\
- Load balancing (with pluggable selection strategy) across all available nodes\
- Failed connection penalization (time based - failed connections wont be\
  retried until a timeout is reached)\
- Thread safety\
- Pluggable architecture.}

Name:		python-elasticsearch
Version:	8.14.0
Release:	%autorelease
Summary:	Client for Elasticsearch

# Automatically converted from old format: ASL 2.0 - review is highly recommended.
License:	Apache-2.0
URL:		https://github.com/elasticsearch/elasticsearch-py
Source0:	%{url}/archive/v%{version}/%{srcname}-py-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-sphinx_rtd_theme

%description %{_desc}

%package -n python3-%{srcname}
Summary:	Python 3 Client for Elasticsearch

%description -n python3-%{srcname} %{_desc}

%package -n python-%{srcname}-doc
Summary:    Documentation for Python Elasticsearch

%description -n python-%{srcname}-doc
%{summary}

%prep
%autosetup -n %{srcname}-py-%{version}

sed -i '/addopts/d' setup.cfg
# remove very old missing dep
sed -i '/unasync/d' dev-requirements.txt
# formatter used upstream to generate examples; we don't need it
sed -i '/black/d' dev-requirements.txt
# Test dependencies we don't have yet in Fedora
sed -i '/mapbox-vector-tile/d' dev-requirements.txt
sed -i '/simsimd/d' dev-requirements.txt

%generate_buildrequires
%pyproject_buildrequires -x extras dev-requirements.txt

%build
%pyproject_wheel

# Generate the HTML documentation.
PYTHONPATH=${PWD} sphinx-build-3 docs/sphinx html
# Remove the sphinx-build leftovers.
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest -v

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md CONTRIBUTING.md README.rst

%files -n python-%{srcname}-doc
%license LICENSE
%doc html examples 

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 8.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Aug 01 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 8.14.0-2
- missing doc added

* Thu Aug 01 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 8.14.0-1
- Update to 8.14.0

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 8.3.1-12
- convert ASL 2.0 license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 8.3.1-10
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Python Maint <python-maint@redhat.com> - 8.3.1-6
- Rebuilt for Python 3.12

* Thu Jul 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 8.3.1-5
- Drop BR on the formatter black (fix RHBZ#2220203)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 8.3.1-3
- project documentations and examples added

* Wed Jul 27 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 8.3.1-2
- build dep fix

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 8.2.2-2
- Rebuilt for Python 3.11

* Wed Jun 08 2022 Ali Erdinc Koroglu <aekoroglu@fedoraproject.org> - 8.2.2-1
- Update to 8.2.2 (rhbz #2094515)

* Tue Mar 8 2022 Steve Traylen <steve.traylen@cern.ch> - 8.0.1-1
- Latest upstream 8.0.1.

* Mon Jan 24 2022 Steve Traylen <steve.traylen@cern.ch> - 7.16.3-1
- Latest upstream 7.16.3.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 7.9.1-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Aug 21 2020 Steve Traylen <steve.traylen@cern.ch> - 7.9.1-1
- Latest upstream 7.9.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 7.5.1-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 20 2020 Steve Traylen <steve.traylen@cern.ch> - 7.5.1-1
- Latest upstream 7.5.1.

* Wed Nov 13 2019 Steve Traylen <steve.traylen@cern.ch> - 7.0.5-1
- Latest upstream 7.0.5.

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 7.0.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 7.0.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 06 2019 Steve Traylen <steve.traylen@cern.ch> - 7.0.0-1
- Latest upstream 7.0.0.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 20 2018 Steve Traylen <steve.traylen@cern.ch> - 6.3.1-1
- Latest upstream 6.3.1.

* Thu Sep 27 2018 Piotr Popieluch <piotr1212@gmail.com> - 2.4.0-9
- Remove Python2 supbackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.4.0-7
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.4.0-5
- Python 2 binary package renamed to python2-elasticsearch
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 12 2017 Piotr Popieluch <piotr1212@gmail.com> - 2.4.0-3
- Update python thrift requires

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 28 2016 Adam Williamson <awilliam@redhat.com> - 2.4.0-1
- Update to 2.4.0 (needed for latest elastic-curator)
- Document missing tests

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.3.0-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 15 2016 Orion Poplawski <orion@cora.nwra.com> - 2.3.0-2
- Drop %%py3dir and use new macros

* Wed Jun 08 2016 Piotr Popieluch <piotr1212@gmail.com> - 2.3.0-1
- Update to 2.3.0

* Wed Jun 08 2016 Piotr Popieluch <piotr1212@gmail.com> - 2.0.0-4
- Readd python-rullib dependency, rpmlint Error needs to be ignored #1344121

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 04 2015 Robert Kuska <rkuska@redhat.com> - 2.0.0-2
- Rebuilt for Python3.5 rebuild

* Wed Oct 14 2015 Daniel Bruno <dbruno@fedoraproject.org> - 2.0.0-1
- Elasticsearch 2.0.0 version release

* Tue Sep 22 2015 Daniel Bruno <dbruno@fedoraproject.org> - 1.7.0-1
- Upgrade to 1.7.0

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.4.0-2
- Add python3 module
- Remove trailing whitespace
- Remove deprecated group tag
- Move license from %%doc to %%license
- Remove deprecated rm -rf buildroot
- fix rpmlint Error: explicit-lib-dependency python-urllib3

* Tue Apr 07 2015 Alan Pevec <apevec@fedoraproject.org> - 1.4.0-1
- Upgrade to 1.4.0 version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Daniel Bruno <dbruno@fedoraproject.org> - 1.0.0-1
- Upgrade to 1.0.0 version

* Tue Nov 26 2013 Daniel Bruno <dbruno@fedoraproject.org> - 0.4.3-1
- First RPM release

## END: Generated by rpmautospec
